using System;

namespace NKC_WF.WebUserControls
{
    public partial class cmp_MU_singleStat : BaseUserControl
    {
        /// <summary>
        /// Batch corrente...
        /// </summary>
        public int BatchId
        {
            set
            {
                hfBatchID.Value = value.ToString();
                doUpdate();
            }
            get
            {
                int answ = 0;
                int.TryParse(hfBatchID.Value, out answ);
                return answ;
            }
        }
        /// <summary>
        /// Tipo statistica richiesta
        /// </summary>
        public int statLevel
        {
            set
            {
                hfStatLevel.Value = value.ToString();
            }
            get
            {
                int answ = 0;
                int.TryParse(hfStatLevel.Value, out answ);
                return answ;
            }

        }
        protected void Page_Load(object sender, EventArgs e)
        {
        }
        /// <summary>
        /// Css titolo
        /// </summary>
        public string titleCss { get; set; } = "bg-dark text-light";
        /// <summary>
        /// Valirizzazione variabili
        /// </summary>
        public void doUpdate()
        {
            frmView.DataBind();
        }
    }
}